## org.eclipse.emf.ecoretools.diagram.providers
Class EcoreParserProvider.HintAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.emf.ui.services.parser.ParserHintAdapter
          org.eclipse.emf.ecoretools.diagram.providers.EcoreParserProvider.HintAdapter

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable

Enclosing class:
  EcoreParserProvider

    public static class EcoreParserProvider.HintAdapter

extends org.eclipse.gmf.runtime.emf.ui.services.parser.ParserHintAdapter

Constructor Summary
`EcoreParserProvider.HintAdapter(org.eclipse.gmf.runtime.emf.type.core.IElementType type, org.eclipse.emf.ecore.EObject object, java.lang.String parserHint)`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreParserProvider.HintAdapter

    public EcoreParserProvider.HintAdapter(org.eclipse.gmf.runtime.emf.type.core.IElementType type,
                                           org.eclipse.emf.ecore.EObject object,
                                           java.lang.String parserHint)

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `org.eclipse.gmf.runtime.emf.ui.services.parser.ParserHintAdapter`

Copyright 2007 Anyware Technologies. All Rights Reserved.